For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTUpload Images
        • GETGet Image
        • GETList Images
        • DELDelete Image
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceImage Management

Get Image

GET
https://vision-agent.api.reka.ai/v1/images/:image_id
GET
/v1/images/:image_id
$curl https://vision-agent.api.reka.ai/v1/images/image_id \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "image_id": "string",
3 "image_url": "string",
4 "indexing_status": 1,
5 "upload_timestamp": 1.1
6}
Retrieve a single image by ID.
Was this page helpful?
Previous

List Images

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Path parameters

image_idstringRequired

Response

Successful Response
image_idstring
image_urlstring
indexing_statusinteger
upload_timestampdouble